#!/bin/sh

# add bin to path
export PATH=../bin:$PATH

#TARGET=debug
TARGET=release

PROGRAM=../bin/$TARGET/Preprocessor.exe

SCENE=vienna_cropped
LOG_PREFIX=../scripts/$SCENE
ENVIRONMENT=generate_viewcells.env

echo "starting $TARGET mode for $SCENE scene"

############################################################################

#  METHOD=interleaved
#  echo "$SCENE $METHOD"

#  $PROGRAM $ENVIRONMENT \
#  -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
#   -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
#   -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
#   -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
#   -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
#   -hierarchy_construction_type=2 \
#   -hierarchy_construction_consider_memory=true

############################################################################

  echo "$SCENE $METHOD"

  $PROGRAM $ENVIRONMENT \
  -view_cells_filename=$LOG_PREFIX-viewcells.xml.gz \
   -view_cells_merge_stats=$LOG_PREFIX-mergeStats.log \
   -vsp_subdivision_stats=$LOG_PREFIX-vsp-subdivisionStats.log \
   -bvh_subdivision_stats=$LOG_PREFIX-bvh-subdivisionStats.log \
   -hierarchy_subdivision_stats=$LOG_PREFIX-hierarchy-subdivisionStats.log \
   -hierarchy_construction_type=0 \
   -hierarchy_construction_consider_memory=true

#   -bvh_term_max_leaves=10000 \
#   -hierarchy_term_max_leaves=20000 
